Bug 1243891 (CVE-2015-0253) - CVE-2015-0253 httpd: NULL pointer dereference crash with ErrorDocument 400 pointing to a local URL-path
Summary: CVE-2015-0253 httpd: NULL pointer dereference crash with ErrorDocument 400 po...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0253
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1243894 1249799 1249800
Blocks: 1243893
TreeView+ depends on / blocked
 
Reported: 2015-07-16 14:04 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:35 UTC (History)
40 users (show)

Fixed In Version: httpd 2.4.16
Doc Type: Bug Fix
Doc Text:
A NULL pointer dereference flaw was found in the way httpd generated certain error responses. A remote attacker could possibly use this flaw to crash the httpd child process using a request that triggers a certain HTTP error.
Clone Of:
Environment:
Last Closed: 2015-08-24 19:32:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1666 normal SHIPPED_LIVE Moderate: httpd24-httpd security update 2015-08-24 19:56:41 UTC

Description Vasyl Kaigorodov 2015-07-16 14:04:25 UTC
Apache HTTP Server 2.4.16 release fixes the following issue:

  *) SECURITY: CVE-2015-0253 (cve.mitre.org)
     core: Fix a crash with ErrorDocument 400 pointing to a local URL-path 
     with the INCLUDES filter active, introduced in 2.4.11. PR 57531. 
     [Yann Ylavic]

External References:

http://httpd.apache.org/security/vulnerabilities_24.html#2.4.16

Comment 1 Vasyl Kaigorodov 2015-07-16 14:09:49 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1243894]

Comment 2 Fedora Update System 2015-07-21 08:12:23 UTC
httpd-2.4.16-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Tomas Hoger 2015-07-28 12:03:26 UTC
This issue was actually fixed in version 2.4.13.  However, as versions 2.4.13, 2.4.14 and 2.4.15 were not released, 2.4.16 is the first released upstream version that includes the fix.

Upstream bug report for this issue:

https://bz.apache.org/bugzilla/show_bug.cgi?id=57531

Upstream commit (in 2.4.x branch) fixing the problem:

https://svn.apache.org/viewvc?view=revision&revision=1668879


Upstream notes that the issue only affected version starting with 2.4.11, which includes the following fix:

  *) core: Support custom ErrorDocuments for HTTP 501 and 414 status codes.
     PR 57167 [Edward Lu <Chaosed0 gmail.com>]

Upstream bug report:

https://bz.apache.org/bugzilla/show_bug.cgi?id=57167

Upstream commit (in 2.4.x branch):

https://svn.apache.org/viewvc?view=revision&revision=1638071

This adds an ap_die() call to ap_read_request(), which eventually leads to the NULL pointer dereference issue for which CVE-2015-0253 was assigned.


The above change is not include in Red Hat Enterprise Linux 7 and earlier httpd packages, therefore they are not affected by this issue.

This issue causes httpd child process crash.  When using prefork MPM, such crash only affects attacker's connection.  For other MPMs, connections of other users may be affected.

Comment 4 Tomas Hoger 2015-07-28 12:05:07 UTC
Statement:

This issue did not affect the versions of httpd as shipped with Red Hat Enterprise Linux 4, 5, 6, and 7; JBoss Enterprise Web Server 1 and 2; JBoss Web Server 3; and JBoss Enterprise Application Platform 6.

Comment 5 Fedora Update System 2015-07-30 00:51:50 UTC
httpd-2.4.16-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2015-08-24 15:57:22 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7.1 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.5 EUS

Via RHSA-2015:1666 https://rhn.redhat.com/errata/RHSA-2015-1666.html


Note You need to log in before you can comment on or make changes to this bug.